Skip to main content
GET
/
v2
/
customer
/
{customer_uuid}
Get customer
curl --request GET \
  --url https://sandbox.gateway.sezzle.com/v2/customer/{customer_uuid} \
  --header 'Authorization: <api-key>'
{
  "uuid": "a9d8e15c-5e4a-4201-aa8f-7540f934a9a2",
  "links": [
    {
      "href": "https://gateway.sezzle.com/v2/customer/a9d8e15c-5e4a-4201-aa8f-7540f934a9a2",
      "method": "GET",
      "rel": "self"
    },
    {
      "href": "https://gateway.sezzle.com/v2/customer/a9d8e15c-5e4a-4201-aa8f-7540f934a9a2",
      "method": "DELETE",
      "rel": "self"
    },
    {
      "href": "https://gateway.sezzle.com/v2/customer/a9d8e15c-5e4a-4201-aa8f-7540f934a9a2/preapprove",
      "method": "POST",
      "rel": "preapprove"
    },
    {
      "href": "https://gateway.sezzle.com/v2/customer/a9d8e15c-5e4a-4201-aa8f-7540f934a9a2/order",
      "method": "POST",
      "rel": "order"
    }
  ],
  "email": "john.doe@sezzle.com",
  "first_name": "John",
  "last_name": "Doe",
  "phone": "5555045294",
  "dob": "1990-02-25",
  "token_expiration": "2020-04-27T14:46:59Z",
  "billing_address": {
    "name": "John Doe",
    "street": "123 W Lake St",
    "street2": "Unit 104",
    "city": "Minneapolis",
    "state": "MN",
    "postal_code": "55408",
    "country_code": "US",
    "phone_number": "5555045294"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sezzle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The authentication token generated from providing API Keys to Sezzle Gateway

Path Parameters

customer_uuid
string
required

The Customer UUID to get

Response

Successful Operation

uuid
string

The unique identifier for this response

Available API links prefilled with UUID with accompanying method

first_name
string

The customer's first name

last_name
string

The customer's last name

email
string

The customer's email address

phone
string

The customer's phone number

billing_address
object

The customer's billing address

dob
string<YYYY-MM-DD>

The customer's date of birth in YYYY-MM-DD format (parameter is input only)

token_expiration
string<date-time>

The UTC expiration date of the customer tokenization